# Class VersionInfo

java.lang.Object
com.snmp4j.smi.version.VersionInfo

public class VersionInfo extends Object
The `VersionInfo` object returns information about the version of this SNMP4J release.

Version:
  1.9.0
Author:
  Frank Fock

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEPENDENCY_SNMP4J_MAJOR`
  Minimum required SNMP4J major version.
  `static final int`
  `DEPENDENCY_SNMP4J_MINOR`
  Minimum required SNMP4J minor version.
  `static final String`
  `DEPENDENCY_SNMP4J_PATCH`
  Minimum required SNMP4J patch suffix (empty string means any patch is acceptable).
  `static final int`
  `DEPENDENCY_SNMP4J_UPDATE`
  Minimum required SNMP4J update version.
  `static final int`
  `MAJOR`
  Major version number of this SNMP4J-SMI release.
  `static final int`
  `MINOR`
  Minor version number of this SNMP4J-SMI release.
  `static final String`
  `PATCH`
  Optional patch suffix string (empty for official releases).
  `static final int`
  `UPDATE`
  Update (patch) version number of this SNMP4J-SMI release.
  `static final String`
  `VERSION`
  Full version string in the form `major.minor.update[patch]`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkMinVersionOfDependencies()`
  Checks whether SNMP4J has the minimum required version.
  `static String`
  `getVersion()`
  Gets the version string for this release.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAJOR

    public static final int MAJOR
    Major version number of this SNMP4J-SMI release.
    See Also:
      - Constant Field Values

  - ### MINOR

    public static final int MINOR
    Minor version number of this SNMP4J-SMI release.
    See Also:
      - Constant Field Values

  - ### UPDATE

    public static final int UPDATE
    Update (patch) version number of this SNMP4J-SMI release.
    See Also:
      - Constant Field Values

  - ### PATCH

    public static final String PATCH
    Optional patch suffix string (empty for official releases).
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    Full version string in the form `major.minor.update[patch]`.
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_SNMP4J_MAJOR

    public static final int DEPENDENCY_SNMP4J_MAJOR
    Minimum required SNMP4J major version.
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_SNMP4J_MINOR

    public static final int DEPENDENCY_SNMP4J_MINOR
    Minimum required SNMP4J minor version.
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_SNMP4J_UPDATE

    public static final int DEPENDENCY_SNMP4J_UPDATE
    Minimum required SNMP4J update version.
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_SNMP4J_PATCH

    public static final String DEPENDENCY_SNMP4J_PATCH
    Minimum required SNMP4J patch suffix (empty string means any patch is acceptable).
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getVersion

    public static String getVersion()
    Gets the version string for this release.
    Returns:
      a string of the form `major.minor.update[patch]`.

  - ### checkMinVersionOfDependencies

    public static boolean checkMinVersionOfDependencies()
    Checks whether SNMP4J has the minimum required version.
    Returns:
      `true` if the dependencies have the minimum required version(s).